<?php
/*
 * this is the default header data
 * this is nessesary for ANY presenter template
 */
$DI_OPT = array();
$DI_OPT["show_scan_qr_code"] = true;
$DI_OPT["show_scan_id_card"] = true;
$DI_OPT["show_language"] = true;
$DI_OPT["show_map"] = true;
$DI_OPT["show_contacts"] = true;
$DI_OPT["show_call_alert"] = true;
$DI_OPT["show_self_spont_checkin"] = true;
$DI_OPT["show_jdialog"] = false;
$DI_OPT["show_jlingo"] = false;
$DI_OPT["show_welcome"] = true;

/*
 * merge eventual custom settings for a particular display
 */
$DI_OPT = array_merge( $DI_OPT, meta_visitor_template_display_data_get( $_GET["di_id"] ));    

    $l10n    = array()    ;
    $language    = "de"    ;

    function get_translations($language)
    {
        global $tpl_base_path;
        /*$opt = MS_OPT_BASE;
        print "opt: " . $opt . "\n";
        $base = $GLOBALS["TPL"]["test"]["base_path"];
        print "base: " . $base . "\n";
        $path = "l10n/" . $language . ".json";
        print "path: " . $path . "\n";
        $full = $opt . $base . $path;
        print "full: " . $full . "\n";
        $contents =  file_get_contents($full);
        print "contents: " .  $contents . "\n";
        $json = json_decode($contents, true);
        print "json"; var_dump($json);
        $GLOBALS["l10n"][$language] = $json;*/

        $GLOBALS["l10n"][$language] = json_decode(file_get_contents(MS_OPT_BASE . $GLOBALS["TPL"][$tpl_base_path]["base_path"] . "l10n/" . $language . ".json"), true);
        
    }
    function translate($string, $language = null)
    {
        if(!isset($language))
        {
            $language = $GLOBALS["language"];
        }
        if(!isset($GLOBALS["l10n"][$language]))
        {
            get_translations($language);
        }
        print $GLOBALS["l10n"][$language][$string];
    }

    if(isset($_GET["language"]))
    {
        $language = $_GET["language"];
    }
    get_translations($language);
    
?>
<!DOCTYPE html>

<html lang="<?php print $_GET["language"] ?>">
	<head>
		<!-- Meta -->
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<base href="<?php print $TPL[$tpl_base_path]["base_path"] ?>"/>
		<!-- Favicon -->
		<!--<link href="/images/favicon.ico" rel="shortcut icon" type="image/x-icon"/>-->
		<!-- Title -->
		<title><?php print $TPL[$tpl_base_path]["title"] ?></title>
		<!-- Stylesheets -->
		<link href="/metacore/skins/fonts/opensans.css"	rel="stylesheet"/>
		<link href="css/reset.css"	rel="stylesheet"/>
		<link href="css/slider.css"	rel="stylesheet"/>
		<link href="css/overlay.css"	rel="stylesheet"/>
		<link href="css/variables.css"	rel="stylesheet"/>
		<link href="css/layout.css"	rel="stylesheet"/>
		<link href="css/style.css"	rel="stylesheet"/>
        <?php
            include("css/phpcss.php");
        ?>
		<!-- JavaScript -->
		<script src="https://www.youtube.com/iframe_api"	></script>
		<script src="/metacore/jslibs/jquery/jquery.min.js"	></script>
		<script src="js/display.js"	></script>
		<script src="js/slider.js"	></script>
		<script src="js/overlay.js"	></script>
		<script src="js/presenter.js"	></script>
	</head>
	<body id="whole_body">
		<!-- Header -->
		<header id="header">
			<div id="logo-wrapper">
				<img alt="<?php print $TPL[$tpl_base_path]["title"] ?> Logo" class="left" id="logo" src="<?php print $TPL[$tpl_base_path]["logo"] ?>"/>
				<span class="left" id="logo-text"><?php translate("main_logo_text") ?></span>
			</div>
			<?php
                if ( $DI_OPT["show_slider"] ) {
            ?>
            <div class="bottom highlight top" id="banner"></div>
            <?php
                }
            ?>
            
		</header>
		<!-- Content -->
		<main id="content">
			<!-- Welcome -->
            <?php
                if ( $DI_OPT["show_welcome"] ) {
            ?>

			<h1 id="welcome">
				<?php translate("main_welcome") ?><br/>
				<small><?php translate("main_welcome_subtext") ?></small>
			</h1>
            <?php
                }
            ?>
			<!-- Custom -->
			<div id="display_middle"></div>
			<!-- Actions -->
			<div class="boxes buttons fill grid highlights top" id="actions">

            <?php
            
                if ( $DI_OPT["show_language"] ) {
            ?>

                <!-- Language -->
                <div id="language">
                    <h2><?php translate("main_language_header", $language === "en" ? "de" : "en") ?></h2>
                    <svg viewBox="0 0 300 300">
                        <path d="M34.13,215.25a9,9,0,0,0-3.88,9.49,8.86,8.86,0,0,0,7.45,6.83c8.17,1.13,23.52,1.74,38.32-5.86
                            a114.61,114.61,0,0,0,53.26,12.9,117.28,117.28,0,0,0,31.94-4.39,6.23,6.23,0,1,0-3.42-12,104.63,104.63,0,0,1-28.52,3.93,101.34,101.34,0,0,1-50.15-13,6.35,6.35,0,0,0-6.32.05c-8.42,5.05-17.45,6.43-24.59,6.53
                            A48.21,48.21,0,0,0,58.87,202.6a6.34,6.34,0,0,0-1.27-6.43c-13.16-14.28-20.15-31.48-20.15-49.79,0-43.92,41.17-79.69,91.78-79.69,47,0,86.22,30.56,91.27,71
                            a6.25,6.25,0,1,0,12.39-1.58c-5.81-46.73-50.4-82-103.66-82C71.78,54.24,25,95.61,25,146.48c0,19.89,7.34,39.33,20.76,55.2
                            a32.61,32.61,0,0,1-11.64,13.57Zm0,0"/>
                        <path d="M135.86,146.48a6.63,6.63,0,1,1-6.63-6.64,6.63,6.63,0,0,1,6.63,6.64Zm0,0"/>
                        <path d="M107.4,146.48a6.64,6.64,0,1,1-6.64-6.64,6.64,6.64,0,0,1,6.64,6.64Zm0,0"/>
                        <path d="M164.37,146.48a6.63,6.63,0,1,1-6.63-6.64,6.63,6.63,0,0,1,6.63,6.64Zm0,0"/>
                        <path d="M214.08,245.86a48.09,48.09,0,0,0,47.24-39.44l2.24,3.32A6.25,6.25,0,0,0,274,202.81l-12.14-18.17
                            a6.29,6.29,0,0,0-4.44-2.75,6.1,6.1,0,0,0-4.94,1.58L236.37,198a6.25,6.25,0,0,0,8.36,9.28l4.44-4a35.56,35.56,0,0,1-35,30.1
                            A35.09,35.09,0,0,1,189,223a6.24,6.24,0,1,0-8.83,8.82,47.45,47.45,0,0,0,33.88,14.08Zm0,0"/>
                        <path d="M171.12,211.27a3.7,3.7,0,0,0,.77.05,6.06,6.06,0,0,0,4.18-1.63l16.07-14.54a6.25,6.25,0,1,0-8.36-9.29l-4.23,3.83
                        a35.56,35.56,0,0,1,34.59-27.45,35.11,35.11,0,0,1,25.1,10.41,6.24,6.24,0,0,0,8.83-8.82A48,48,0,0,0,167.29,187l-2.39-3.57
                        a6.25,6.25,0,1,0-10.41,6.94l12.14,18.16a6.33,6.33,0,0,0,4.49,2.75Zm0,0"/>
                    </svg>
                    <p><?php translate("main_language_text", $language === "en" ? "de" : "en") ?></p>
                    <a><button type="button"><?php translate("main_language_button", $language === "en" ? "de" : "en") ?></button></a>
                </div>
            <?php
                }
            
                if ( $DI_OPT["show_scan_qr_code"] ) {
                    
                    if ( $DI["di_qr_engine"] == "js" ) {
                        ?>
                        <div id="scan_qrcode_js" >
                            <h2><?php translate("main_login_qr_header") ?></h2>
                            <svg viewBox="0 0 300 300">
                                <rect x="55.815" y="55.85" width="38.587" height="38.547"/>
                                <rect x="55.815" y="205.643" width="38.587" height="38.57"/>
                                <path d="M150.007,194.617h23.979v24.787h-23.979V194.617z M42.607,192.396h65.003v64.998H42.607V192.396z
                                    M150.007,141.752h22.301v24.795h-22.301V141.752z M53.091,125.215h44.103v16.537h24.726v26.436h26.416v24.783h-23.117v-18.18
                                    H53.091v-6.604h44.064v-28.1H53.091V125.215z M176.438,125.215h70.493v23.691h-15.145v-8.818h-55.349V125.215z M125.29,115.318
                                    h23.045v24.77H125.29V115.318z M150.007,58.777h24.785v54.895h-24.785V58.777z M42.627,42.623h64.978v64.98H42.627V42.623z
                                    M192.391,42.623h65.006v64.98h-65.006V42.623z M174.792,24.994v0.214h-26.457V55.85h-23.117V24.994H25v116.758h17.627v15.979H25
                                    v117.275h100.218v-53.961h23.117v52.869h28.104v-23.117h22.045v23.117h28.062v-26.428h20.386v26.428H275V245.84h-26.409v-26.436
                                    h-28.094v26.436h-18.475v-54.535h-25.584v-23.117h26.454v26.43h28.05v-17.631h15.989v39.656H275v-41.295h-17.642v-24.764H275
                                    V24.994H174.792z"/>
                                <rect x="205.624" y="55.85" width="38.564" height="38.547"/>
                            </svg>
                            <p><?php translate("main_login_qr_text") ?></p>
                            <input id="qr_engine_type" type="hidden" value="js">
                            <a><button type="button"><?php translate("main_login_qr_button") ?></button></a>
                                
                                

                        </div>

                        
                        <?php
                    } else {
                        ?>
                        <!-- Scan QR-Code -->
                        <div id="scan_qr_code">
                            <h2><?php translate("main_login_qr_header") ?></h2>
                            <svg viewBox="0 0 300 300">
                                <rect x="55.815" y="55.85" width="38.587" height="38.547"/>
                                <rect x="55.815" y="205.643" width="38.587" height="38.57"/>
                                <path d="M150.007,194.617h23.979v24.787h-23.979V194.617z M42.607,192.396h65.003v64.998H42.607V192.396z
                                    M150.007,141.752h22.301v24.795h-22.301V141.752z M53.091,125.215h44.103v16.537h24.726v26.436h26.416v24.783h-23.117v-18.18
                                    H53.091v-6.604h44.064v-28.1H53.091V125.215z M176.438,125.215h70.493v23.691h-15.145v-8.818h-55.349V125.215z M125.29,115.318
                                    h23.045v24.77H125.29V115.318z M150.007,58.777h24.785v54.895h-24.785V58.777z M42.627,42.623h64.978v64.98H42.627V42.623z
                                    M192.391,42.623h65.006v64.98h-65.006V42.623z M174.792,24.994v0.214h-26.457V55.85h-23.117V24.994H25v116.758h17.627v15.979H25
                                    v117.275h100.218v-53.961h23.117v52.869h28.104v-23.117h22.045v23.117h28.062v-26.428h20.386v26.428H275V245.84h-26.409v-26.436
                                    h-28.094v26.436h-18.475v-54.535h-25.584v-23.117h26.454v26.43h28.05v-17.631h15.989v39.656H275v-41.295h-17.642v-24.764H275
                                    V24.994H174.792z"/>
                                <rect x="205.624" y="55.85" width="38.564" height="38.547"/>
                            </svg>
                            <p><?php translate("main_login_qr_text") ?></p>
                            <form action="/portals/qr_scan_event.php" id="james_login" method="GET" name="james_login">
                                <input id="qr_code"    name="qr_code"    size="15"    type="text"    value=""    >
                                <input id="qr_action"    name="action"        type="hidden"    value="qr_send"    >
                                <input id="qr_time"    name="t_val"        type="hidden"        >
                                <input id="qr_di_id"    name="di_id"        type="hidden"        >
                            </form>
                            <input id="qr_engine_type" type="hidden" value="hw">
                            <a><button type="button"><?php translate("main_login_qr_button") ?></button></a>
                        </div>
                        <?php
                    }
                    
            ?>



            <?php
                }
                
                if ( $DI_OPT["show_scan_id_card"] && $DI["di_scan"] > 0 ) {
            ?>

				<!-- Scan ID-Card -->
				<div id="scan_id_card">
					<h2><?php translate("main_login_id_header") ?></h2>
					<svg viewBox="0 0 300 300">
						<path d="M109.27,241.48c-3.11,0-5.59-4.07-5.59-9.06s2.48-9,5.59-9,5.54,4,5.54,9-2.48,9.06-5.54,9.06
							m158.29-60.9a8.93,8.93,0,0,0,1.47-4.75,9.11,9.11,0,0,0-2.91-6.73L191.26,69.16
							a9.22,9.22,0,0,0-4.16-3.11l-22.85-8.51a6.22,6.22,0,0,1,1.67,4.16v74.06l74.95,43.95-47.3,17.84
							a4.75,4.75,0,0,0-1.1-1l-66.15-43H109.37l73.86,48-50.28,19L59.27,166.75l42.4-13.25
							H52.23l-9.08,2.74A18.42,18.42,0,0,0,30,173.88v5.44a18.32,18.32,0,0,0,6.83,14.36L118.88,260
							a18.29,18.29,0,0,0,11.58,4.07,18,18,0,0,0,7.18-1.42l121.08-50.86a18.53,18.53,0,0,0,11.28-17v-5
							a17.81,17.81,0,0,0-2.44-9.18"/>
						<path d="M101.06,55.14h56.71l-50-18.65A9.24,9.24,0,0,0,97.63,51.33Z"/>
						<path d="M151.53,81.86c0,.81-1.24,1.47-2.74,1.47H80.52c-1.51,0-2.73-.65-2.73-1.47V69.65c0-.8,1.22-1.46,2.73-1.46
							h68.27c1.5,0,2.74.66,2.74,1.46Zm0,12.69c0,.81-1.5,1.46-3.31,1.46h-54C92.43,96,91,95.35,91,94.55v-4c0-.81,1.47-1.47,3.29-1.47
							h54c1.82,0,3.31.66,3.31,1.47Zm0,14.65c0,.81-1.47,1.47-3.25,1.47h-53c-1.8,0-3.23-.65-3.23-1.47v-4c0-.81,1.43-1.47,3.23-1.47
							h53c1.78,0,3.25.65,3.25,1.47Zm0,14.64c0,.81-1,1.47-2.17,1.47H40.21c-1.2,0-2.18-.66-2.18-1.47v-4c0-.81,1-1.47,2.18-1.47
							H149.36c1.19,0,2.17.65,2.17,1.47Zm0,14.64c0,.81-1,1.46-2.17,1.46H40.21c-1.2,0-2.18-.65-2.18-1.46v-4c0-.81,1-1.46,2.18-1.46
							H149.36c1.19,0,2.17.65,2.17,1.46Zm-110-45.2c2-3.22,7.09-4.76,12-5.11.57,0,1.14,1.23,1.72,1.39.58-.17,1.15-1.43,1.72-1.39,4.86.35,10,1.89,12,5.11,0,0,6.88,12,1.09,18.6
							H40.4c-5.8-6.63,1.09-18.6,1.09-18.6M55.16,67.81a9.62,9.62,0,1,1-9.61,9.63,9.63,9.63,0,0,1,9.61-9.63m103.32-8
							H32.91c-1.51,0-2.75.87-2.75,1.95v85.1c0,1.09,1.23,2,2.75,2H158.49c1.51,0,2.74-.87,2.74-2V61.76c0-1.09-1.24-1.95-2.74-1.95"/>
					</svg>
					<p><?php translate("main_login_id_text") ?></p>
					<a><button type="button"><?php translate("main_login_id_button") ?></button></a>
				</div>
            <?php
                }
                
                if ( $DI_OPT["show_self_spont_checkin"] ) {
            ?>

                <!-- Contacts -->
                <div id="self_spont_checkin">
                    <h2><?php translate("main_self_spont_checkin") ?></h2>
                    <svg viewBox="0 0 300 300">
                        <path d="M140.963,147.333c31.936-0.612,53.012-30.604,52.922-75.356c-0.051-32.191-20.854-51.018-55.463-50.249
                            c-33.314,0.757-51.695,19.194-51.365,51.496C87.564,119.725,108.084,147.929,140.963,147.333"/>
                        <rect x="207.131" y="208.218" width="45.75" height="9.694"/>
                        <path d="M265.729,268.857H140.643v-81.148h125.086V268.857z M265.555,178.266h-52.799
                            c-2.367-2.885-5.391-5.028-8.727-6.326l-28.604-12.957l-11.717-10.613l-23.238,21.215l-22.717-21.399l-13.256,11.171l-27.6,12.701
                            c-4.08,1.688-7.715,4.571-10.148,8.658l-34.525,57.738L25,249.991h106.029v18.866c0,5.206,4.232,9.438,9.441,9.438h125.084
                            c5.213,0,9.443-4.231,9.443-9.438v-81.148C274.998,182.497,270.768,178.266,265.555,178.266"/>
                        <rect x="155.057" y="205.974" width="35.17" height="45.07"/>
                        <rect x="207.131" y="230.986" width="27.943" height="9.694"/>
                    </svg>
                    <p><?php translate("main_self_spont_checkin_text") ?></p>
                    <a><button type="button"><?php translate("main_contacts_button") ?></button></a>
                </div>
            <?php
                }

                

                
                if ( $DI_OPT["show_jdialog"] ) {
            ?>

                <!-- Language -->
                <div id="jdialog">
                    <h2><?php translate("main_jdialog_header") ?></h2>
                    <svg viewBox="0 0 300 300">
                        <path d="M34.13,215.25a9,9,0,0,0-3.88,9.49,8.86,8.86,0,0,0,7.45,6.83c8.17,1.13,23.52,1.74,38.32-5.86
                            a114.61,114.61,0,0,0,53.26,12.9,117.28,117.28,0,0,0,31.94-4.39,6.23,6.23,0,1,0-3.42-12,104.63,104.63,0,0,1-28.52,3.93,101.34,101.34,0,0,1-50.15-13,6.35,6.35,0,0,0-6.32.05c-8.42,5.05-17.45,6.43-24.59,6.53
                            A48.21,48.21,0,0,0,58.87,202.6a6.34,6.34,0,0,0-1.27-6.43c-13.16-14.28-20.15-31.48-20.15-49.79,0-43.92,41.17-79.69,91.78-79.69,47,0,86.22,30.56,91.27,71
                            a6.25,6.25,0,1,0,12.39-1.58c-5.81-46.73-50.4-82-103.66-82C71.78,54.24,25,95.61,25,146.48c0,19.89,7.34,39.33,20.76,55.2
                            a32.61,32.61,0,0,1-11.64,13.57Zm0,0"/>
                        <path d="M135.86,146.48a6.63,6.63,0,1,1-6.63-6.64,6.63,6.63,0,0,1,6.63,6.64Zm0,0"/>
                        <path d="M107.4,146.48a6.64,6.64,0,1,1-6.64-6.64,6.64,6.64,0,0,1,6.64,6.64Zm0,0"/>
                        <path d="M164.37,146.48a6.63,6.63,0,1,1-6.63-6.64,6.63,6.63,0,0,1,6.63,6.64Zm0,0"/>
                        <path d="M214.08,245.86a48.09,48.09,0,0,0,47.24-39.44l2.24,3.32A6.25,6.25,0,0,0,274,202.81l-12.14-18.17
                            a6.29,6.29,0,0,0-4.44-2.75,6.1,6.1,0,0,0-4.94,1.58L236.37,198a6.25,6.25,0,0,0,8.36,9.28l4.44-4a35.56,35.56,0,0,1-35,30.1
                            A35.09,35.09,0,0,1,189,223a6.24,6.24,0,1,0-8.83,8.82,47.45,47.45,0,0,0,33.88,14.08Zm0,0"/>
                        <path d="M171.12,211.27a3.7,3.7,0,0,0,.77.05,6.06,6.06,0,0,0,4.18-1.63l16.07-14.54a6.25,6.25,0,1,0-8.36-9.29l-4.23,3.83
                        a35.56,35.56,0,0,1,34.59-27.45,35.11,35.11,0,0,1,25.1,10.41,6.24,6.24,0,0,0,8.83-8.82A48,48,0,0,0,167.29,187l-2.39-3.57
                        a6.25,6.25,0,1,0-10.41,6.94l12.14,18.16a6.33,6.33,0,0,0,4.49,2.75Zm0,0"/>
                    </svg>
                    <p><?php translate("main_jdialog_text") ?></p>
                    <a><button type="button"><?php translate("main_language_button", $language === "en" ? "de" : "en") ?></button></a>
                </div>
            <?php
                }
                
                if ( $DI_OPT["show_jlingo"] ) {
            ?>

				<!-- Language -->
				<div id="jlingo">
					<h2><?php translate("main_jlingo_header", $language === "en" ? "de" : "en") ?></h2>
					<svg viewBox="0 0 300 300">
						<path d="M34.13,215.25a9,9,0,0,0-3.88,9.49,8.86,8.86,0,0,0,7.45,6.83c8.17,1.13,23.52,1.74,38.32-5.86
							a114.61,114.61,0,0,0,53.26,12.9,117.28,117.28,0,0,0,31.94-4.39,6.23,6.23,0,1,0-3.42-12,104.63,104.63,0,0,1-28.52,3.93,101.34,101.34,0,0,1-50.15-13,6.35,6.35,0,0,0-6.32.05c-8.42,5.05-17.45,6.43-24.59,6.53
							A48.21,48.21,0,0,0,58.87,202.6a6.34,6.34,0,0,0-1.27-6.43c-13.16-14.28-20.15-31.48-20.15-49.79,0-43.92,41.17-79.69,91.78-79.69,47,0,86.22,30.56,91.27,71
							a6.25,6.25,0,1,0,12.39-1.58c-5.81-46.73-50.4-82-103.66-82C71.78,54.24,25,95.61,25,146.48c0,19.89,7.34,39.33,20.76,55.2
							a32.61,32.61,0,0,1-11.64,13.57Zm0,0"/>
						<path d="M135.86,146.48a6.63,6.63,0,1,1-6.63-6.64,6.63,6.63,0,0,1,6.63,6.64Zm0,0"/>
						<path d="M107.4,146.48a6.64,6.64,0,1,1-6.64-6.64,6.64,6.64,0,0,1,6.64,6.64Zm0,0"/>
						<path d="M164.37,146.48a6.63,6.63,0,1,1-6.63-6.64,6.63,6.63,0,0,1,6.63,6.64Zm0,0"/>
						<path d="M214.08,245.86a48.09,48.09,0,0,0,47.24-39.44l2.24,3.32A6.25,6.25,0,0,0,274,202.81l-12.14-18.17
							a6.29,6.29,0,0,0-4.44-2.75,6.1,6.1,0,0,0-4.94,1.58L236.37,198a6.25,6.25,0,0,0,8.36,9.28l4.44-4a35.56,35.56,0,0,1-35,30.1
							A35.09,35.09,0,0,1,189,223a6.24,6.24,0,1,0-8.83,8.82,47.45,47.45,0,0,0,33.88,14.08Zm0,0"/>
						<path d="M171.12,211.27a3.7,3.7,0,0,0,.77.05,6.06,6.06,0,0,0,4.18-1.63l16.07-14.54a6.25,6.25,0,1,0-8.36-9.29l-4.23,3.83
						a35.56,35.56,0,0,1,34.59-27.45,35.11,35.11,0,0,1,25.1,10.41,6.24,6.24,0,0,0,8.83-8.82A48,48,0,0,0,167.29,187l-2.39-3.57
						a6.25,6.25,0,1,0-10.41,6.94l12.14,18.16a6.33,6.33,0,0,0,4.49,2.75Zm0,0"/>
					</svg>
					<p><?php translate("main_jlingo_text") ?></p>
					<a><button type="button"><?php translate("main_language_button", $language === "en" ? "de" : "en") ?></button></a>
				</div>
            <?php
                }
                
                if ( $DI_OPT["show_map"] ) {
            ?>

				<!-- Map -->
				<div id="map">
					<h2><?php translate("main_map_header") ?></h2>
					<svg viewBox="0 0 300 300">
						<path d="M125.721,163.712c0,8.723-7.105,15.808-15.836,15.808c-8.74,0-15.795-7.085-15.795-15.808
							c0-8.748,7.055-15.839,15.795-15.839C118.615,147.873,125.721,154.964,125.721,163.712"/>
						<path d="M263.969,160.582l10.724-84.583l-76.949-29.202L105.44,90.895L25,56.911l10.852,90.267l-10.403,88.861
							l85.462,16.035l87.176-16.614L275,253.203L263.969,160.582z M197.472,55.757l68.155,25.675l-4.682,37.008l-67.949-17.199
							L197.472,55.757z M188.441,60.453l-3.599,38.717l-0.055-0.016l-47.049,6.067l-0.284,1.053c-0.041,0.217-5.511,20.389-11.271,29.55
							c-3.719-2.197-7.914-3.653-12.374-4.177l-3.812-33.732L188.441,60.453z M181.245,146.851l-40.896,6.152
							c-2.177-6.238-6.229-11.585-11.462-15.42c5.327-8.546,10.182-25.064,11.389-29.454l44.26-5.699L181.245,146.851z M101.684,98.322
							l3.777,33.4c-12.414,1.708-22.631,10.467-26.378,22.147l-34.852-5.397l-3.343-32.336c11.567-0.771,20.222-4.535,25.763-11.243
							c5.021-6.042,6.463-13.188,6.745-18.514L101.684,98.322z M35.058,70.189l35.156,14.845c-0.108,4.908-1.204,12.014-6.007,17.809
							c-5.021,6.047-12.974,9.408-23.731,10.094L35.058,70.189z M34.607,229.312l8.654-72.6l34.383,5.326
							c-0.038,0.555-0.073,1.114-0.073,1.688c0,7.523,2.61,14.482,6.981,20.011l-17.849,14.337l-5.629,36.187L34.607,229.312z
							 M101.969,241.92l-37.746-7.07l5.455-35.047l17.002-13.656c5.195,5.396,12.271,8.979,20.149,9.715L101.969,241.92z M83.981,163.727
							c0-14.301,11.62-25.941,25.903-25.941c14.304,0,25.909,11.641,25.909,25.941c0,14.271-11.605,25.892-25.909,25.892
							C95.602,189.618,83.981,177.998,83.981,163.727 M110.896,243.608l-0.724-0.137l5.042-47.912
							c15.294-2.54,27.003-15.854,27.003-31.868c0-0.867-0.051-1.708-0.124-2.555l39.959-6.027l3.33,34.096
							c-17.521,0.811-30.643,6.229-38.861,16.171c-9.647,11.61-10.076,26.112-9.588,33.253L110.896,243.608z M140.133,238.035
							c-0.378-6.818,0.182-20.147,8.834-30.619c7.697-9.267,20.063-14.25,36.743-15.006l3.558,36.271L140.133,238.035z M192.684,104.48
							l67.868,17.148l-4.062,32.039l-67.006-8.077L192.684,104.48z M247.238,181.379l-30.84-3.668l5.634,54.745l-24.742-5.321
							l-7.015-73.25l0.721-0.11l64.769,8.209l9.575,80.461l-40.072-9.232l-5.286-51.833l27.509,3.189L247.238,181.379z"/>
					</svg>
					<p><?php translate("main_map_text") ?></p>
					<a><button type="button"><?php translate("main_map_button") ?></button></a>
				</div>
            <?php
                }
                
                if ( $DI_OPT["show_contacts"] ) {
            ?>

                <!-- Contacts -->
                <div id="contacts">
                    <h2><?php translate("main_contacts_header") ?></h2>
                    <svg viewBox="0 0 300 300">
                        <path d="M140.963,147.333c31.936-0.612,53.012-30.604,52.922-75.356c-0.051-32.191-20.854-51.018-55.463-50.249
                            c-33.314,0.757-51.695,19.194-51.365,51.496C87.564,119.725,108.084,147.929,140.963,147.333"/>
                        <rect x="207.131" y="208.218" width="45.75" height="9.694"/>
                        <path d="M265.729,268.857H140.643v-81.148h125.086V268.857z M265.555,178.266h-52.799
                            c-2.367-2.885-5.391-5.028-8.727-6.326l-28.604-12.957l-11.717-10.613l-23.238,21.215l-22.717-21.399l-13.256,11.171l-27.6,12.701
                            c-4.08,1.688-7.715,4.571-10.148,8.658l-34.525,57.738L25,249.991h106.029v18.866c0,5.206,4.232,9.438,9.441,9.438h125.084
                            c5.213,0,9.443-4.231,9.443-9.438v-81.148C274.998,182.497,270.768,178.266,265.555,178.266"/>
                        <rect x="155.057" y="205.974" width="35.17" height="45.07"/>
                        <rect x="207.131" y="230.986" width="27.943" height="9.694"/>
                    </svg>
                    <p><?php translate("main_contacts_text") ?></p>
                    <a><button type="button"><?php translate("main_contacts_button") ?></button></a>
                </div>
            <?php
                }
                
                
                if ( $DI_OPT["show_call_alert"] ) {
            ?>

				<!-- Alert -->
				<div id="call_alert">
					<h2><?php translate("main_alert_header") ?></h2>
					<svg viewBox="0 0 300 300">
						<path d="M81.125,254.704h37.145l-15.687,15.679H75.987L81.125,254.704z M77.192,250.098L69.016,275h161.973
							l-8.159-24.902H77.192z"/>
						<path d="M149.542,99.777c-35.655,0-64.548,28.885-64.548,64.535v79.318h130.024v-79.318
							c0-35.65-28.906-64.535-64.548-64.535H149.542z M202.561,166.184c0,3.038-2.464,5.518-5.513,5.518
							c-3.06,0-5.539-2.479-5.539-5.518c0-22.406-18.213-40.587-40.59-40.587h-0.922c-3.043,0-5.531-2.49-5.531-5.518
							c0-3.076,2.488-5.561,5.531-5.561h0.922C179.394,114.519,202.561,137.685,202.561,166.184"/>
						<path d="M74.598,138.428c1.129-5.67-2.539-11.247-8.244-12.381l-30.439-6.098
							c-5.713-1.134-11.238,2.555-12.389,8.23c-0.252,1.236-0.274,2.463-0.079,3.646c0.638,4.265,3.86,7.84,8.334,8.757l30.422,6.114
							C67.915,147.83,73.448,144.135,74.598,138.428"/>
						<path d="M67.622,67.893l19.39,24.263c3.616,4.519,10.243,5.257,14.776,1.633
							c4.557-3.624,5.273-10.249,1.644-14.763L84.039,54.758c-3.622-4.514-10.246-5.268-14.79-1.633
							c-3.038,2.425-4.373,6.195-3.811,9.814C65.717,64.676,66.428,66.39,67.622,67.893"/>
						<path d="M151.313,77.089c5.815,0.114,10.623-4.471,10.764-10.275l-0.055-31.039
							c0.119-5.811-4.486-10.649-10.27-10.77c-5.816-0.135-10.629,4.466-10.767,10.276l0.062,31.038
							c-0.019,0.613,0.038,1.242,0.111,1.823C141.914,73.112,146.148,76.937,151.313,77.089"/>
						<path d="M200.005,96.115c4.372,3.825,10.997,3.413,14.849-0.943l20.52-23.329
							c3.824-4.356,3.406-11.003-0.967-14.833c-4.361-3.83-10.986-3.418-14.844,0.943l-20.502,23.324
							c-2.132,2.425-2.957,5.561-2.501,8.528C196.918,92.16,198.069,94.417,200.005,96.115"/>
						<path d="M276.551,134.147c-0.868-5.757-6.239-9.679-11.969-8.827l-30.696,4.682
							c-5.739,0.852-9.689,6.218-8.827,11.99c0.885,5.724,6.239,9.662,12.001,8.806l30.681-4.672
							C273.486,145.236,277.441,139.871,276.551,134.147"/>
					</svg>
					<p><?php translate("main_alert_text") ?></p>
					<a><button type="button"><?php translate("main_alert_button") ?></button></a>
				</div>
            <?php
                }
                
                
            ?>

			</div>
		</main>
		<!-- footer -->
		<footer id="footer" onclick="location.reload();">
			<span id="positon">
				<?php translate("main_position"); ?>
				<?php print($DI["di_loc_name"]); ?>
			</span>
			<span id="branding">powered by metaSEC</span>
			<span id="time"></span>
			<div id="websocketStatus" data-connected="false"></div>
		</footer>

	</body>
</html>
