<?php
/*
 * this is the default header data
 * this is nessesary for ANY presenter template
 */
$DI_OPT = array();
$DI_OPT["show_scan_qr_code"] = true;
$DI_OPT["show_scan_id_card"] = true;
$DI_OPT["show_language"] = true;
$DI_OPT["show_map"] = true;
$DI_OPT["show_contacts"] = true;
$DI_OPT["show_call_alert"] = true;
$DI_OPT["show_self_spont_checkin"] = true;
$DI_OPT["show_jdialog"] = false;
$DI_OPT["show_jlingo"] = false;
$DI_OPT["show_welcome"] = true;

/*
 * merge eventual custom settings for a particular display
 */
$DI_OPT = array_merge( $DI_OPT, meta_visitor_template_display_data_get( $_GET["di_id"] ));

    $l10n    = array()    ;
    $language    = "de"    ;

    function get_translations($language)
    {
        global $tpl_base_path;
        $GLOBALS["l10n"][$language] = json_decode(file_get_contents(MS_OPT_BASE . $GLOBALS["TPL"][$tpl_base_path]["base_path"] . "l10n/" . $language . ".json"), true);

    }
    function translate($string, $language = null)
    {
        if(!isset($language))
        {
            $language = $GLOBALS["language"];
        }
        if(!isset($GLOBALS["l10n"][$language]))
        {
            get_translations($language);
        }
        print $GLOBALS["l10n"][$language][$string];
    }

    if(isset($_GET["language"]))
    {
        $language = $_GET["language"];
    }
    get_translations($language);

?>
<!DOCTYPE html>

<html lang="<?php print $_GET["language"] ?>">
	<head>
		<!-- Meta -->
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<base href="<?php print $TPL[$tpl_base_path]["base_path"] ?>"/>
		<title><?php print $TPL[$tpl_base_path]["title"] ?></title>
		<!-- <link href="/metacore/skins/fonts/opensans.css"	rel="stylesheet"/>
		<link href="css/reset.css"	rel="stylesheet"/>
		<link href="css/slider.css"	rel="stylesheet"/>
		<link href="css/overlay.css"	rel="stylesheet"/>
		<link href="css/variables.css"	rel="stylesheet"/>
		<link href="css/layout.css"	rel="stylesheet"/> -->

    <link href="css/slider.css"	rel="stylesheet"/>
    <link rel="stylesheet" type="text/css" href="css/compiled.css" />
		<link href="css/style.css"	rel="stylesheet"/>
        <?php
            include("css/phpcss.php");
        ?>
        <link rel="stylesheet" type="text/css" href="//fonts.googleapis.com/css?family=Open+Sans" />
		<script src="https://www.youtube.com/iframe_api"	></script>
		<script src="/metacore/jslibs/jquery/jquery.min.js"	></script>
		<script src="js/display.js"	></script>
		<script src="js/slider.js"	></script>
		<script src="js/overlay.js"	></script>
		<script src="js/presenter.js"	></script>
	</head>
	<body id="whole_body">
    <div id="presenter">
    	<!-- Header -->
  		<header id="header">
  			<div id="logo-wrapper">
  				<img alt="<?php print $TPL[$tpl_base_path]["title"] ?> Logo" class="left" id="logo" src="<?php print $TPL[$tpl_base_path]["logo"] ?>"/>
  				<span class="left" id="logo-text"><?php translate("main_logo_text") ?></span>
  			</div>

  		</header>
  		<!-- Content -->
  		<main id="content">

      <?php if ( $DI_OPT["show_welcome"] ) { ?>
  			<h1 id="welcome">
  				<?php translate("main_welcome") ?><br/>
  				<small><?php translate("main_welcome_subtext") ?></small>
  			</h1>
      <?php } ?>
      <?php if ( $DI_OPT["show_slider"] ) { ?>
            <div class="bottom highlight top" id="banner"></div>
      <?php } ?>
  			<div id="display_middle"></div>

  			<div id="actions">

              <?php if ( $DI_OPT["show_language"] ) { ?>
                  <!-- Language -->
                  <div id="language">
                      <h2><?php translate("main_language_header", $language === "en" ? "de" : "en") ?></h2>
                      <?php include("svgs/lang.svg.php") ?>
                      <p><?php translate("main_language_text", $language === "en" ? "de" : "en") ?></p>
                      <a><button type="button"><?php translate("main_language_button", $language === "en" ? "de" : "en") ?></button></a>
                  </div>
              <?php }

                  if ( $DI_OPT["show_scan_qr_code"] ) {

                      if ( $DI["di_qr_engine"] == "js" ) {
                          ?>
                          <div id="scan_qrcode_js" >
                              <h2><?php translate("main_login_qr_header") ?></h2>
                              <?php include("svgs/qrcode.svg.php") ?>
                              <p><?php translate("main_login_qr_text") ?></p>
                              <input id="qr_engine_type" type="hidden" value="js">
                              <a><button type="button"><?php translate("main_login_qr_button") ?></button></a>



                          </div>


                          <?php
                      } else {
                          ?>
                          <!-- Scan QR-Code -->
                          <div id="scan_qr_code">
                              <h2><?php translate("main_login_qr_header") ?></h2>
                              <?php include("svgs/qrcode.svg.php") ?>
                              <p><?php translate("main_login_qr_text") ?></p>
                              <form action="/portals/qr_scan_event.php" id="james_login" method="GET" name="james_login">
                                  <input id="qr_code"    name="qr_code"    size="15"    type="text"    value=""    >
                                  <input id="qr_action"    name="action"        type="hidden"    value="qr_send"    >
                                  <input id="qr_time"    name="t_val"        type="hidden"        >
                                  <input id="qr_di_id"    name="di_id"        type="hidden"        >
                              </form>
                              <input id="qr_engine_type" type="hidden" value="hw">
                              <a><button type="button"><?php translate("main_login_qr_button") ?></button></a>
                          </div>
                          <?php }  ?>

              <?php } if ( $DI_OPT["show_scan_id_card"] && $DI["di_scan"] > 0 ) { ?>
  				<div id="scan_id_card">
  					<h2><?php translate("main_login_id_header") ?></h2>
            <?php include("svgs/scanid.svg.php") ?>
  					<p><?php translate("main_login_id_text") ?></p>
  					<a><button type="button"><?php translate("main_login_id_button") ?></button></a>
  				</div>
              <?php  } if ( $DI_OPT["show_self_spont_checkin"] ) { ?>

                  <!-- Contacts -->
                  <div id="self_spont_checkin">
                      <h2><?php translate("main_self_spont_checkin") ?></h2>
                      <?php include("svgs/spont.svg.php") ?>
                      <p><?php translate("main_self_spont_checkin_text") ?></p>
                      <a><button type="button"><?php translate("main_contacts_button") ?></button></a>
                  </div>
              <?php } if ( $DI_OPT["show_jdialog"] ) { ?>

                  <!-- Language -->
                  <div id="jdialog">
                      <h2><?php translate("main_jdialog_header") ?></h2>
                      <?php include("svgs/jdialog.svg.php") ?>
                      <p><?php translate("main_jdialog_text") ?></p>
                      <a><button type="button"><?php translate("main_language_button", $language === "en" ? "de" : "en") ?></button></a>
                  </div>
              <?php } if ( $DI_OPT["show_jlingo"] ) { ?>

  				<!-- Language -->
  				<div id="jlingo">
  					<h2><?php translate("main_jlingo_header", $language === "en" ? "de" : "en") ?></h2>
            <?php include("svgs/jlingo.svg.php") ?>
  					<p><?php translate("main_jlingo_text") ?></p>
  					<a><button type="button"><?php translate("main_language_button", $language === "en" ? "de" : "en") ?></button></a>
  				</div>

          <?php } if ( $DI_OPT["show_map"] ) { ?>
  				  <!-- Map -->
    				<div id="map">
    					<h2><?php translate("main_map_header") ?></h2>
              <?php include("svgs/map.svg.php") ?>
    					<p><?php translate("main_map_text") ?></p>
    					<a><button type="button"><?php translate("main_map_button") ?></button></a>
    				</div>
              <?php } if ( $DI_OPT["show_contacts"] ) { ?>
                  <div id="contacts">
                      <h2><?php translate("main_contacts_header") ?></h2>
                      <?php include("svgs/contacts.svg.php") ?>
                      <p><?php translate("main_contacts_text") ?></p>
                      <a><button type="button"><?php translate("main_contacts_button") ?></button></a>
                  </div>
              <?php } if ( $DI_OPT["show_call_alert"] ) { ?>

  				<!-- Alert -->
  				<div id="call_alert">
  					<h2><?php translate("main_alert_header") ?></h2>
            <?php include("svgs/alert.svg.php") ?>
  					<p><?php translate("main_alert_text") ?></p>
  					<a><button type="button"><?php translate("main_alert_button") ?></button></a>
  				</div>
              <?php
                  }
              ?>
  			</div>
  		</main>

  		<footer id="footer" onclick="location.reload();">
  			<span id="positon">
  				<?php print($DI["di_loc_name"]); ?>
  			</span>
  			<span id="time"></span>
  			<div id="websocketStatus" data-connected="false"></div>
  		</footer>

    </div>
	</body>
</html>
